# Coop-Cloud Windows Deployment Guide
## Guide to Deploying coop-cloud VPS apps on Windows 10

This is a step-by-step guide for Windows Administrators for installing and deploying Coop-Cloud apps.

*I owe much gratitude to [@3wc](https://matrix.to/#/@3wc:autonomic.zone) for all of their patience and assistance.* This document is largely based on <https://docs.coopcloud.tech/deploy/>

There are eight parts to this guide:
1. [Create a VPS and login to it](01-CreateVPS-and-Login/README.md)
1. [Set up DNS records](02-Setup-DNS-Records/README.md)
1. [Install docker on the VPS](03-Install-docker-on-VPS/README.md)
1. [Install WSL2 on your local Windows computer](04-Install-WSL2-Linux/README.md)
1. [Install Abra on WSL2 Linux](05-Install-Abra-on-WSL2-Linux/README.md)
1. [Set up ssh on WSL2 Linux](06-WSL2-Linux-ssh/README.md)
1. [Set up Server and Deploy Traefik](07-Setup-Server-Deploy-Traefik/README.md)
1. [Deploy your first app](08-Deploy-first-app/README.md)

*Author: [timewarp](https://matrix.to/#/@timewarp:matrix.org)*